import java.util.*;

/**
 * Context is a collection of Corpora and Alignments between them. It contains
 * all information which is needed to run the alignment algorithm.
 * 
 * @author darko
 * 
 */
public class Context {
	protected String name;
	protected Map<String, Corpus> corpora = new LinkedHashMap<String, Corpus>();
	protected Map<String, Alignment> alignments = new LinkedHashMap<String, Alignment>();

	public Context() {
	}

	public Context(String name) {
		this.name = name;
	}

	public String getName() {
		return this.name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public Map<String, Corpus> getCorpora() {
		return this.corpora;
	}

	public void setCorpora(Map<String, Corpus> corpora) {
		this.corpora = corpora;
	}

	public Map<String, Alignment> getAlignments() {
		return this.alignments;
	}

	public void setAlignments(Map<String, Alignment> alignments) {
		this.alignments = alignments;
	}

}
