import java.util.*;

public class TestOrwell {
	public static void main(String[] args) throws Exception {

	AlignmentParser parser = new AlignmentParser("proba");
	parser.parse("res/original/oalg-bgen.xml");
	parser.parse("res/original/oalg-csen.xml");
	parser.parse("res/original/oalg-eten.xml");
	parser.parse("res/original/oalg-huen.xml");
	parser.parse("res/original/oalg-lten.xml");
	parser.parse("res/original/oalg-mken.xml");
	parser.parse("res/original/oalg-roen.xml");
	parser.parse("res/original/oalg-slen.xml");
	parser.parse("res/original/oalg-sren.xml");


	Context context = parser.getContext();
	Aligner aligner = new Aligner(context);

	List<String> corpusNames = new ArrayList<String> ();
	corpusNames.add("Obg");
	corpusNames.add("Ocs");
	corpusNames.add("Oen");
	corpusNames.add("Oet");
	corpusNames.add("Ohu");
	corpusNames.add("Olt");
	corpusNames.add("Omk");
	corpusNames.add("Oro");
	corpusNames.add("Osl");
	corpusNames.add("Osr");

	String hubCorpusName = "Oen";

	List<String> alignmentNames = new ArrayList<String> ();
	alignmentNames.add("Obgen");
	alignmentNames.add("Ocsen");
	alignmentNames.add("Oeten");
	alignmentNames.add("Ohuen");
	alignmentNames.add("Olten");
	alignmentNames.add("Omken");
	alignmentNames.add("Oroen");
	alignmentNames.add("Oslen");
	alignmentNames.add("Osren");
	
	Alignment result = aligner.align(corpusNames, hubCorpusName, alignmentNames);
	
	AlignmentWriter writer = new AlignmentWriter(System.out, result);
	writer.write();

	
	
	}
}



